com.aspose.omr

## Class GridSection

- java.lang.Object
- - com.aspose.omr.GridSection

- All Implemented Interfaces:
    ISpacedArea

      public class GridSection
      extends Object
      implements ISpacedArea

  Section of a `GridElement`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridSection()` Initializes a new instance of the `GridSection` class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getSpaceAfter()` Gets spacing that follows the cell, in millimeters.
    `float` | `getSpaceBefore()` Gets spacing that precedes the cell, in millimeters.
    `void` | `setSpaceAfter(float value)` Sets spacing that follows the cell, in millimeters.
    `void` | `setSpaceBefore(float value)` Sets spacing that precedes the cell, in millimeters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridSection

          public GridSection()

      Initializes a new instance of the `GridSection` class.

  - ### Method Detail

    - #### getSpaceAfter

          public float getSpaceAfter()

      Gets spacing that follows the cell, in millimeters. Zero by default.

      Specified by:
        `getSpaceAfter` in interface `ISpacedArea`
      Returns:
        spacing that follows the cell, in millimeters. Zero by default.

    - #### getSpaceBefore

          public float getSpaceBefore()

      Gets spacing that precedes the cell, in millimeters. Zero by default.

      Specified by:
        `getSpaceBefore` in interface `ISpacedArea`
      Returns:
        spacing that precedes the cell, in millimeters. Zero by default.

    - #### setSpaceAfter

          public void setSpaceAfter(float value)

      Sets spacing that follows the cell, in millimeters. Zero by default.

      Specified by:
        `setSpaceAfter` in interface `ISpacedArea`
      Parameters:
        `value` - spacing that follows the cell, in millimeters. Zero by default.

    - #### setSpaceBefore

          public void setSpaceBefore(float value)

      Sets spacing that precedes the cell, in millimeters. Zero by default.

      Specified by:
        `setSpaceBefore` in interface `ISpacedArea`
      Parameters:
        `value` - spacing that precedes the cell, in millimeters. Zero by default.

Copyright © 2014. All rights reserved.